QGIS Application - Bug report #13151
Zonal statistics error: 0-d arrays can't be indexed
2015-07-24 05:51 AM - Sergio Antonio

Status: Closed

Priority: Normal

Assignee:

Category: Analysis library

Affected QGIS version:2.10.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 21214
Description

The error "0-d arrays can't be indexed" appeared in 2.8.1 version and persists in version 2.10.1.

History

#1 - 2015-07-30 02:23 PM - Giovanni Manghi
- Category changed from Rasters to 115

- Status changed from Open to Feedback

- Target version deleted (Version 2.10)

Do you refer to the "zonal statistics" core plugin (c++) or its counterpart in the QGIS Processing toolbox?

| cannot replicate the issue with any of my data, can you please attach sample data that cause the issue? thanks.

#2 - 2015-08-01 03:28 PM - Sergio Antonio

- File ZonalStat.zip added
- Target version set to Version 2.10

This zip file contains a clip of srtm_27_17.1if, two polygon grids (shp) created by vector grid tool (10000 x 10000 m and 1000 x 1000m), and the
zonalstatistics.qgs.

All of them in EPSG 31983 - SIRGAS 2000/ UTM zone 23S.

| refer to the "zonal statistics" in the QGIS Processing toolbox.

#3 - 2015-08-03 01:55 AM - Giovanni Manghi

no error here with your project and dataset. What version of Processing are you using (check the version in the plugin manager)?

#4 - 2015-08-03 07:20 AM - Sergio Antonio
Category: Analysis

Author: Victor Olaya

Installed version: 2.10.1

Available version: 2.10.1 (in Official repository of add-ons QGIS)

Complementary information:
Running Catchment Area (Processing toolbox) occurs
ERROR 1: Can't load requested DLL: .....apps\\saga\\di\\ gdal_MrSID.dll

but gdal_MrSID.dll is there.

#5 - 2015-08-03 08:04 AM - Giovanni Manghi
Sergio Antonio wrote:
Category: Analysis
Author: Victor Olaya
Installed version: 2.10.1
Available version: 2.10.1 (in Official repository of add-ons QGIS)
still no error here. Tested on Linux and Windows. Seems likely a local issue, would you mind testing on a different system?
Complementary information:
Running Catchment Area (Processing toolbox) occurs

ERROR 1: Can't load requested DLL: .....apps\\saga\\di\\ gdal_MrSID.dll

but gdal_MrSID.dll is there.

that is a message that is thrown by SAGA, not QGIS (is anyway not important apparently).

#6 - 2015-08-03 11:12 AM - Sergio Antonio

The error happens in three machines (Windows) that had version 2.6 and were upgraded to 2.8 and, then, to 2.10.
Ok, it seems that really isn't a bug. | have discussed it with others users that, like you, didn't find the error.

#7 - 2015-08-03 11:20 AM - Giovanni Manghi

Sergio Antonio wrote:

The error happens in three machines (Windows) that had version 2.6 and were upgraded to 2.8 and, then, to 2.10.

Ok, it seems that really isn't a bug. | have discussed it with others users that, like you, didn't find the error.

| would suggest try (backup and) delete the .qqgis2 folder and try again.

#8 - 2015-08-04 06:12 AM - Sergio Antonio

| deleted the .qgis2 folder, then | removed qgis 2.8 and | restarted the machine: sorry, the problem remains.

| verified that this machine had the versions: Brighton, Chugiak, Wien and Lisboa.

#9 - 2015-08-04 10:47 AM - Giovanni Manghi
Sergio Antonio wrote:
| deleted the .qgis2 folder, then | removed qgis 2.8 and | restarted the machine: sorry, the problem remains.

| verified that this machine had the versions: Brighton, Chugiak, Wien and Lisboa.

s0 you have machines where this error always surface but you know that does not happen on other users machines (like mine)... what the machines where

the bug occur have in common? XP?

#10 - 2015-08-05 01:17 PM - Sergio Antonio

Yes, XP.

Just now | prepared, for testing, a fourth computer that was out of use (Windows XP) and the error occurred again.

Those machines do not accept others versions of Windows. | believe that they are gone finally...

#11 - 2015-08-13 11:36 AM - Sergio Antonio

Please, can | consider that the bug is just a XP/QGIS incompatibility and close the updates?

#12 - 2015-09-24 11:54 AM - Sergio Antonio

A new machine (Intel® Core™ i7) is running with Windows 10 and the problem persists.

#13 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#14 - 2015-12-21 05:51 AM - Giovanni Manghi

- OS version deleted (xp)
- Operating System deleted (windows)

tested again on several computers (Windows 7/10, linux) with your data and the latest processing available: no issues.

#15 - 2016-01-06 08:55 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen of necessary.

#16 - 2017-01-02 01:26 AM - Giovanni Manghi

- Category changed from 115 to Analysis library

Files

ZonalStat.zip 435 KB 2015-08-01 Sergio Antonio
